Page MenuHomePhabricator

Why Multi-Content-Revisions? Use cases and requirements.
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session
Main topic: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Handling_wiki_content_beyond_plaintext

The problem

Multi-Content-Revisions (MCR) (T107595) have been proposed as a way to move structured information and meta-data out of wikitext, and to better integrate information currently stored on subpages or similar. During the RFC discussion, it however became clear that the intended use cases are not sufficiently defined and documented.

Expected outcome

A set of use cases for MCR, with priorities and requirements for each use case.
Some sort of commitment by WMF to work on MCR, or at least support the development.
Alternatively, we may discover that MCR does not fit the intended use cases well enough after all, and needs to be re-considered.

Current status of the discussion

The MCR proposal is extensively documented and there has been quite a bit of discussion about it since the last DevSummit. Once of the most problematic points in the discussion has been the fact that we have many potential use cases, but we do not have much detail on these.

See the comments on T107595 for discussions; most of them revolve around use cases.

Links

Event Timeline

daniel created this task.Oct 30 2016, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2016, 7:23 PM
daniel added a subscriber: greg.Oct 31 2016, 10:37 AM
daniel added a subscriber: Catrope.
daniel added a subscriber: Qgil.Nov 1 2016, 3:52 PM

@Qgil the active discussion is here: https://phabricator.wikimedia.org/T107595 - at least the last 20 comments or so.

Esc3300 added a subscriber: Esc3300.Nov 1 2016, 4:52 PM
Qgil added a comment.Nov 2 2016, 2:25 PM

Please link the discussion from "Current status of the discussion". I need to create an "On track" column on the workboard before I can move this and other proposals that seem to be on track. :)

daniel updated the task description. (Show Details)Nov 2 2016, 6:16 PM
daniel updated the task description. (Show Details)

@Qgil: done

Siznax added a subscriber: Siznax.Nov 15 2016, 7:47 PM
Florian added a subscriber: Florian.

@daniel Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  • Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Tgr awarded a token.Dec 23 2016, 2:49 AM
Rical added a subscriber: Rical.Jul 16 2017, 2:58 PM

To debug Mediawiki, developers need the version of MW when a bug appeared. But that in not so easy with a deployment at several times for some projects and sometime sub versions changing faster than a day.
Then I began for 5 months to manually record MW versions in this draft of central module, search "monitor_MW_Versions".
For 5 months I searched how to automatize that.
This task is probably an answer: some Scribunto modules often used could record any unknown version in a Special:PageData see T168726#3377055.
Then this dedicated page is read many times, but writed only once when the MW version change.

greg closed this task as Resolved.Jul 26 2017, 10:40 PM

Resolving this talk task which happened.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 10:40 PM
Rical added a comment.Jun 6 2018, 4:55 AM

To help Lua-coders to better report tasks, T149532#2878699
in the Module:Central-s-fr
I included a guide at the begin of the function:
activity.phabricator_tasks_report() -- Monitor states of known phabricator tasks

How to well report a task like in this task :
1) What happens in brief 2) Type of activity 3) What is the problem
4) Dedicated test case without ambiguity.
5) Expected outcome 6) Proposed solution
7) Where and when to use the proposed solution
8) Who would benefit + your name. 9) Current status of the discussion
10) Links 11) Your name linked to your MediaWiki URL, or profile elsewhere on the internet